      SUBROUTINE WASFDU
      IMPLICIT NONE
*
* WASFDU - Write Ascii SFDU record from common block
*
* Local Variables...
*    ASCREC - Ascii record to be written to output file
*    ASCLEN - Length of Ascii record
* 
      INCLUDE 'misc.inc'
      INCLUDE 'sfdu.inc'

      CHARACTER ASCREC*1000
      INTEGER   ASCLEN

      WRITE (UNIT=RECORD,FMT=1000)
     +      ZCTRID,ZVERID,ZCLAID,SPARE(1:2),ZDDRID,ZLENGT,
     +      ICTRID,IVERID,ICLAID,SPARE(3:4),IDDRID,ILENGT

 1000 FORMAT (2(A4,A1,A1,A2,A4,A8))

      IF (RECKEY .NE. ' ') THEN
         ASCREC = RECKEY(1:20)//RECORD(1:RECLEN)
         ASCLEN = 20 + RECLEN
      ELSE
         ASCREC = RECORD(1:RECLEN)
         ASCLEN = RECLEN
      ENDIF

      CALL WAWRIT (ASCREC,ASCLEN)

      RETURN
      END
